Check_type

Can the given string be converted into a byte, ...? More...

## Functions

int | libdap::check_byte (const char *val)
| Is the value a valid byte? More...
int | libdap::check_float32 (const char *val)
int | libdap::check_float64 (const char *val)
int | libdap::check_int16 (const char *val)
int | libdap::check_int32 (const char *val)
int | libdap::check_int64 (const char *val)
int | libdap::check_uint16 (const char *val)
int | libdap::check_uint32 (const char *val)
int | libdap::check_uint64 (const char *val)
int | libdap::check_url (const char *val)
| Is the value a valid URL? More...

## Detailed Description

Can the given string be converted into a byte, ...?

## Function Documentation

## check_byte()

int libdap::check_byte | ( | const char * | val | ) |

Is the value a valid byte?

Check to see if `val` is a valid byte value. If not, generate an error message using `parser_error()`. There are two versions of `check_byte()`, one which calls `parser_error()` and prints an error message to stderr an one which calls `parser_error()` and generates and Error object.

Returns
  Returns: TRUE (1) if val is a byte value, FALSE (0) otherwise.

Definition at line 190 of file parser-util.cc.

## check_url()

int libdap::check_url | ( | const char * | val | ) |

Is the value a valid URL?

Currently this function always returns true.

Definition at line 696 of file parser-util.cc.